#   -*- coding: utf-8 -*-
#   This file is part of the Ubuntu Web Catalog
#   Copyright (C) 2011 Canonical Ltd.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as
#   published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

import preflight

from django.conf.urls import patterns, include, url
from django.conf import settings
from django.contrib import admin
from django.contrib.auth.views import logout
from django.views.generic import RedirectView

admin.autodiscover()
preflight.autodiscover()

handler500 = 'webcatalog.views.server_error'
handler404 = 'webcatalog.views.page_not_found'


urlpatterns = patterns('',
    url(r'^cat/', include('webcatalog.urls')),
    url(r'^admin/', include(admin.site.urls)),
    (r'^preflight/$', include('preflight.urls')),
    url(r'^$', RedirectView.as_view(url='/cat/')),

    # OpenID views
    (r'^openid/', include('django_openid_auth.urls')),
    (r'^logout/$', logout, {'next_page': '/cat/'}),
)

if settings.SERVE_SITE_MEDIA:
    urlpatterns += patterns('',
        (r'^site_media/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
    )
