import os
from setuptools import setup, find_packages


def find_packages_data(start_dir):
    packages = {}
    for package_name in os.listdir(start_dir):
        package_dir = os.path.join(start_dir, package_name)
        if os.path.exists(os.path.join(package_dir, '__init__.py')):
            files = []
            packages[package_name] = files
            for dirpath, dirnames, filenames in os.walk(package_dir):
                dirpath = dirpath[len(package_dir) + 1:]
                for filename in filenames:
                    ext = os.path.splitext(filename)[1]
                    if ext not in ('.py', '.pyc', '.pyo'):
                        file_path = os.path.join(dirpath, filename)
                        full_file_path = os.path.join(package_dir, file_path)
                        if os.path.isfile(full_file_path):
                            files.append(file_path)
    return packages

setup(
    name = "ubuntu-webcatalog",
    version = "12.06.2",

    author = "Canonical ISD Hackers",
    author_email = "canonical-isd@lists.launchpad.net",

    license = "AGPL3",

    zip_safe = False,

    packages = find_packages('src'),
    package_dir = {'': 'src'},
    install_requires = [
        'django',
        'setuptools',
        'south==0.7.6',
        'configglue==1.0.1',
        'django-configglue==0.7',
        'django-openid-auth==0.2',
        'django-piston==0.2.3',
        'django-preflight',
        'python-debian',
        'python-openid==2.2.4',
        'oauth',
        'httplib2',
        'django-pgtools==0.1',
        'rnrclient==1.0',
        'ssoclient==1.0',
        'pep8',
        'PIL',
        'celery==2.5.0',
        'django-celery==2.5.0',
        'oops-wsgi==0.0.10',
        'oops-dictconfig==0.0.5',
        'oops-datedir_repo==0.0.17',
        ],
    package_data = find_packages_data('src'),
    dependency_links = [
        'http://launchpad.net/django-pgtools/trunk/0.1/+download/django-pgtools-0.1.tar.gz#egg=django-pgtools-0.1',
        'http://launchpad.net/rnr-server/trunk/11.05/+download/rnrclient-1.0.tar.gz#egg=rnrclient-1.0',
        'http://launchpad.net/canonical-identity-provider/2011/11.09.06/+download/ssoclient-1.0.tar.gz#egg=ssoclient-1.0',
        'http://launchpad.net/python-openid/2.0/2.2.4/+download/python-openid-2.2.4.tar.bz2#egg=python-openid-2.2.4',
    ],

)

