# -*- coding: utf-8 -*-
#   This file is part of the Apps Directory
#   Copyright (C) 2011 Canonical Ltd.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as
#   published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Forms for using within the Apps Directory API."""

from __future__ import absolute_import

__metaclass__ = type
__all__ = [
    'MachineCreateUpdateForm',
    'MachineUpdatePackagesForm',
]

from django import forms

from webcatalog.models import Machine


class MachineCreateUpdateForm(forms.ModelForm):
    class Meta:
        model = Machine
        fields = (
            'hostname',
            'logo_checksum',
        )


class MachineUpdatePackagesForm(forms.ModelForm):
    class Meta:
        model = Machine
        fields = (
            'packages_checksum',
            'package_list',
        )
