#   -*- coding: utf-8 -*-
#   This file is part of the Apps Directory
#   Copyright (C) 2011 Canonical Ltd.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as
#   published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Context processors for the Apps Directory."""

from django.conf import settings


def user_agent(request):
    """Adds the browser user-agent string to the context if present."""
    return dict(user_agent=request.META.get('HTTP_USER_AGENT', ''))


def settings_for_templates(request):
    """Adds some settings used in templates so views can know less :)"""
    return dict(
        num_recommended_apps=settings.NUM_RECOMMENDED_APPS,
        google_analytics_id=getattr(settings, 'GOOGLE_ANALYTICS_ID', None),
        secondary_google_analytics_id=getattr(settings,
                                              'SECONDARY_GOOGLE_ANALYTICS_ID',
                                              None))
