# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'DistroSeries'
        db.create_table('webcatalog_distroseries', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('code_name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=20, db_index=True)),
            ('version', self.gf('django.db.models.fields.CharField')(max_length=10, blank=True)),
        ))
        db.send_create_signal('webcatalog', ['DistroSeries'])

        # Adding model 'Application'
        db.create_table('webcatalog_application', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('distroseries', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['webcatalog.DistroSeries'])),
            ('package_name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('comment', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('popcon', self.gf('django.db.models.fields.IntegerField')()),
            ('channel', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('screenshot_url', self.gf('django.db.models.fields.URLField')(max_length=200, blank=True)),
            ('mimetype', self.gf('django.db.models.fields.CharField')(max_length=2048, blank=True)),
            ('architectures', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('keywords', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('app_type', self.gf('django.db.models.fields.CharField')(max_length=32, blank=True)),
            ('section', self.gf('django.db.models.fields.CharField')(max_length=32)),
            ('categories', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('icon_name', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('icon', self.gf('django.db.models.fields.files.ImageField')(max_length=200, null=True, blank=True)),
            ('description', self.gf('django.db.models.fields.TextField')(blank=True)),
        ))
        db.send_create_signal('webcatalog', ['Application'])

        # Adding M2M table for field departments on 'Application'
        db.create_table('webcatalog_application_departments', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('application', models.ForeignKey(orm['webcatalog.application'], null=False)),
            ('department', models.ForeignKey(orm['webcatalog.department'], null=False))
        ))
        db.create_unique('webcatalog_application_departments', ['application_id', 'department_id'])

        # Adding model 'Department'
        db.create_table('webcatalog_department', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('parent', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['webcatalog.Department'], null=True, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('webcatalog', ['Department'])


    def backwards(self, orm):
        
        # Deleting model 'DistroSeries'
        db.delete_table('webcatalog_distroseries')

        # Deleting model 'Application'
        db.delete_table('webcatalog_application')

        # Removing M2M table for field departments on 'Application'
        db.delete_table('webcatalog_application_departments')

        # Deleting model 'Department'
        db.delete_table('webcatalog_department')


    models = {
        'webcatalog.application': {
            'Meta': {'object_name': 'Application'},
            'app_type': ('django.db.models.fields.CharField', [], {'max_length': '32', 'blank': 'True'}),
            'architectures': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'categories': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'channel': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'comment': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'departments': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['webcatalog.Department']", 'symmetrical': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'distroseries': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['webcatalog.DistroSeries']"}),
            'icon': ('django.db.models.fields.files.ImageField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'icon_name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'keywords': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'mimetype': ('django.db.models.fields.CharField', [], {'max_length': '2048', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'package_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'popcon': ('django.db.models.fields.IntegerField', [], {}),
            'screenshot_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'blank': 'True'}),
            'section': ('django.db.models.fields.CharField', [], {'max_length': '32'})
        },
        'webcatalog.department': {
            'Meta': {'object_name': 'Department'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['webcatalog.Department']", 'null': 'True', 'blank': 'True'})
        },
        'webcatalog.distroseries': {
            'Meta': {'object_name': 'DistroSeries'},
            'code_name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '20', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '10', 'blank': 'True'})
        }
    }

    complete_apps = ['webcatalog']
