# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Removing unique constraint on 'Application', fields ['archive_id']
        db.delete_unique('webcatalog_application', ['archive_id'])

        # Adding field 'Application.price'
        db.add_column('webcatalog_application', 'price', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=7, decimal_places=2), keep_default=False)

        # Adding unique constraint on 'Application', fields ['archive_id', 'distroseries']
        db.create_unique('webcatalog_application', ['archive_id', 'distroseries_id'])


    def backwards(self, orm):
        
        # Removing unique constraint on 'Application', fields ['archive_id', 'distroseries']
        db.delete_unique('webcatalog_application', ['archive_id', 'distroseries_id'])

        # Deleting field 'Application.price'
        db.delete_column('webcatalog_application', 'price')

        # Adding unique constraint on 'Application', fields ['archive_id']
        db.create_unique('webcatalog_application', ['archive_id'])


    models = {
        'webcatalog.application': {
            'Meta': {'unique_together': "(('distroseries', 'archive_id'),)", 'object_name': 'Application'},
            'app_type': ('django.db.models.fields.CharField', [], {'max_length': '32', 'blank': 'True'}),
            'architectures': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'archive_id': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'categories': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'channel': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'comment': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'departments': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['webcatalog.Department']", 'symmetrical': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'distroseries': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['webcatalog.DistroSeries']"}),
            'for_purchase': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'icon': ('django.db.models.fields.files.ImageField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'icon_name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'keywords': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'mimetype': ('django.db.models.fields.CharField', [], {'max_length': '2048', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'package_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'popcon': ('django.db.models.fields.IntegerField', [], {}),
            'price': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '7', 'decimal_places': '2'}),
            'screenshot_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'blank': 'True'}),
            'section': ('django.db.models.fields.CharField', [], {'max_length': '32'})
        },
        'webcatalog.department': {
            'Meta': {'object_name': 'Department'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['webcatalog.Department']", 'null': 'True', 'blank': 'True'})
        },
        'webcatalog.distroseries': {
            'Meta': {'object_name': 'DistroSeries'},
            'code_name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '20', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '10', 'blank': 'True'})
        }
    }

    complete_apps = ['webcatalog']
