# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'ReviewStatsImport'
        db.create_table('webcatalog_reviewstatsimport', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('distroseries', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['webcatalog.DistroSeries'])),
            ('last_import', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime.utcnow)),
        ))
        db.send_create_signal('webcatalog', ['ReviewStatsImport'])

        # Adding field 'Application.ratings_total'
        db.add_column('webcatalog_application', 'ratings_total', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True), keep_default=False)

        # Adding field 'Application.ratings_average'
        db.add_column('webcatalog_application', 'ratings_average', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=3, decimal_places=2, blank=True), keep_default=False)

        # Adding field 'Application.ratings_histogram'
        db.add_column('webcatalog_application', 'ratings_histogram', self.gf('django.db.models.fields.CharField')(default='', max_length=128, blank=True), keep_default=False)


    def backwards(self, orm):
        
        # Deleting model 'ReviewStatsImport'
        db.delete_table('webcatalog_reviewstatsimport')

        # Deleting field 'Application.ratings_total'
        db.delete_column('webcatalog_application', 'ratings_total')

        # Deleting field 'Application.ratings_average'
        db.delete_column('webcatalog_application', 'ratings_average')

        # Deleting field 'Application.ratings_histogram'
        db.delete_column('webcatalog_application', 'ratings_histogram')


    models = {
        'webcatalog.application': {
            'Meta': {'unique_together': "(('distroseries', 'archive_id'),)", 'object_name': 'Application'},
            'app_type': ('django.db.models.fields.CharField', [], {'max_length': '32', 'blank': 'True'}),
            'architectures': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'archive_id': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'categories': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'channel': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'comment': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'departments': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['webcatalog.Department']", 'symmetrical': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'distroseries': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['webcatalog.DistroSeries']"}),
            'for_purchase': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'icon': ('django.db.models.fields.files.ImageField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'icon_name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'keywords': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'mimetype': ('django.db.models.fields.CharField', [], {'max_length': '2048', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'package_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'popcon': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'price': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '7', 'decimal_places': '2'}),
            'ratings_average': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '3', 'decimal_places': '2', 'blank': 'True'}),
            'ratings_histogram': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'}),
            'ratings_total': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'screenshot_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'blank': 'True'}),
            'section': ('django.db.models.fields.CharField', [], {'max_length': '32'})
        },
        'webcatalog.department': {
            'Meta': {'object_name': 'Department'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['webcatalog.Department']", 'null': 'True', 'blank': 'True'})
        },
        'webcatalog.distroseries': {
            'Meta': {'object_name': 'DistroSeries'},
            'code_name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '20', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '10', 'blank': 'True'})
        },
        'webcatalog.reviewstatsimport': {
            'Meta': {'object_name': 'ReviewStatsImport'},
            'distroseries': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['webcatalog.DistroSeries']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_import': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.utcnow'})
        }
    }

    complete_apps = ['webcatalog']
