#   -*- coding: utf-8 -*-
#   This file is part of the Apps Directory
#   Copyright (C) 2011 Canonical Ltd.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as
#   published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Apps Directory context processor tests."""

from __future__ import absolute_import

__metaclass__ = type
__all__ = [
    'GoogleAnalyticsTestCase',
]

from django.core.urlresolvers import reverse
from django.test import TestCase

from webcatalog.tests.helpers import patch_settings


class GoogleAnalyticsTestCase(TestCase):
    def test_configured_analytics_ids_show_up(self):
        with patch_settings(GOOGLE_ANALYTICS_ID='foo',
                            SECONDARY_GOOGLE_ANALYTICS_ID='bar'):
            response = self.client.get(reverse('wc-index'))
        snippets = ["_gaq.push(['_setAccount', 'foo'])",
                    "_gaq.push(['b._setAccount', 'bar'])"]
        for snippet in snippets:
            self.assertContains(response, snippet)
