#   -*- coding: utf-8 -*-
#   This file is part of the Apps Directory
#   Copyright (C) 2011 Canonical Ltd.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as
#   published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Temporary test cases for developing and reviewing migrations."""

from webcatalog.tests.helpers import MigrationTestCase
from webcatalog.models import Application


# Migration tests don't yet behave on jenkins run. Uncomment to run
# locally.
# class OnlyOneAppPerSeriesPkgNameTestCase(MigrationTestCase):
if False:
    start_migration = '0024_remove_application_id_and_rename_for_purchase'
    dest_migration = '0025_only_one_app_per_series_pkg_name'
    django_application = 'webcatalog'

    def test_latest_app_remains_when_neither_sca_imported(self):
        oneiric = self.factory.make_distroseries(code_name='oneiric')
        precise = self.factory.make_distroseries(code_name='precise')
        self.factory.make_application(
            package_name='foo', distroseries=oneiric)
        foo_oneiric_2 = self.factory.make_application(
            package_name='foo', distroseries=oneiric)
        foo_precise = self.factory.make_application(
            package_name='foo', distroseries=precise)

        self.migrate_to_dest()

        all_foo_apps = Application.objects.filter(package_name='foo')
        self.assertEqual([foo_oneiric_2, foo_precise], list(all_foo_apps))

    def test_sca_imported_app_wins(self):
        oneiric = self.factory.make_distroseries(code_name='oneiric')
        precise = self.factory.make_distroseries(code_name='precise')
        foo_oneiric_1 = self.factory.make_application(
            package_name='foo', distroseries=oneiric, imported_from_sca=True)
        self.factory.make_application(
            package_name='foo', distroseries=oneiric)
        foo_precise = self.factory.make_application(
            package_name='foo', distroseries=precise)

        self.migrate_to_dest()

        all_foo_apps = Application.objects.filter(package_name='foo')
        self.assertEqual([foo_oneiric_1, foo_precise], list(all_foo_apps))
